:root {
    --primary-color: #002c5e; 
    --secondary-color: #f89c23; 
}


.navbar {
    background-color: white;
    border-bottom: 1px solid #ddd;
    z-index: 1030; 
}

.navbar-nav {
    flex-wrap: nowrap; 
}

.navbar-nav .nav-item .nav-link {
    font-weight: 500; 
    white-space: nowrap; 
    display: inline-block; 
}


.navbar-nav .nav-item:last-child .nav-link {
    white-space: nowrap; 
    display: inline-block; 
}


.hero-section {
    background: url('src/hero_image_cropped.jpg') no-repeat center center;
    background-size: cover;
    color: white;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 400px; 
}

.hero-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 44, 94, 0.7); 
    z-index: 1;
}

.hero-content {
    position: relative;
    z-index: 2; 
    text-align: center; 
    max-width: 600px; 
    padding: 20px;
    border-radius: 10px;
}

.hero-content h1 {
    font-size: 2.5rem;
    line-height: 1.2;
    color: white;
}

.hero-content p {
    font-size: 1.25rem;
    color: white;
    margin-top: 10px;
}

.btn-primary {
    background-color: var(--secondary-color);
    border-color: var(--secondary-color);
}

.btn-primary:hover {
    background-color: var(--secondary-color);
    border-color: var(--secondary-color);
}


section {
    padding: 80px 0;
}

section.bg-light {
    background-color: #f9f9f9;
}

h2 {
    color: #002c5e;
    text-align: center;
    margin-bottom: 30px;
}

.manufacturer-logo {
    width: 300px;
    height: 150px;
    object-fit: contain;
    display: block;
    margin: 0 auto;
    border-radius: 8px; 
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.image-container {
    width: 100%;
    height: 200px;
    overflow: hidden;
    position: relative;
}

.image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center; 
}

.card {
    border: none;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.card-body {
    padding: 15px;
}

.card-title {
    font-size: 1.25rem;
    color: var(--primary-color);
    margin-bottom: 10px;
}

.card-text {
    font-size: 1rem;
    color: #555;
}

#contact-form {
    padding: 2rem 0;
}

#contact-form .container {
    display: flex;
    justify-content: center;
}

.contact-form {
    width: 100%;
}

footer {
    background-color: #002c5e;
    color: white;
    padding: 20px 0;
}

footer a {
    color: #f89c23; 
    text-decoration: none;
}

footer a, footer p {
    word-wrap: break-word; 
    word-break: break-word;
    overflow-wrap: break-word; 
}

footer {
    overflow-x: hidden; 
}

.text-secondary-color {
    color: var(--secondary-color); 
} 

#backToTop {
    position: fixed;
    bottom: 20px; 
    right: 20px; 
    display: none; 
    z-index: 1000; 
    border-radius: 50%; 
    padding: 10px 15px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); 
}

#backToTop i {
    font-size: 20px; 
    color: white; 
}

#backToTop:hover {
    background-color: var(--secondary-color); 
}

@media (max-width: 991.98px) {
    .navbar-nav .nav-item .nav-link {
        margin-left: 15px; 
    }
    .manufacturer-logo {
        width: 200px;
        height: 150px;
        object-fit: contain;
        display: block;
        margin: 0 auto;
        border-radius: 8px; 
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); 
    }
}

@media (min-width: 992px) {
    .navbar {
        padding: 8px 50px;
    }
    .navbar-nav .nav-item:last-child {
        margin-left: auto; 
    }
    .navbar-nav .nav-item .nav-link {
        margin-left: 0; 
    }
    .hero-section {
        height: 600px; 
        justify-content: right;
    }
    .hero-content {
        margin-left: 10%; 
        max-width: 500px; 
        margin-right: 15%;
    }
    section {
        padding: 80px 10%;
    }
    .manufacturer-logo {
        width: 200px;
        height: 150px;
        object-fit: contain;
        display: block;
        margin: 0 auto;
        border-radius: 8px; 
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    }
    #contact-form .container {
        justify-content: flex-start;
    }
    .contact-form {
        margin-left: 10%;
        max-width: 50%; 
        text-align: left;
    }
}
